import request from '@/utils/request'

// 查询质量月报S2005列表
export function listS2005(query) {
  return request({
    url: '/production/s2005/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S2005详细
export function getS2005(id) {
  return request({
    url: '/production/s2005/' + id,
    method: 'get'
  })
}

// 新增质量月报S2005
export function addS2005(data) {
  return request({
    url: '/production/s2005',
    method: 'post',
    data: data
  })
}

// 修改质量月报S2005
export function updateS2005(data) {
  return request({
    url: '/production/s2005',
    method: 'put',
    data: data
  })
}

// 删除质量月报S2005
export function delS2005(id) {
  return request({
    url: '/production/s2005/' + id,
    method: 'delete'
  })
}

// 导出质量月报S2005
export function exportS2005(query) {
  return request({
    url: '/production/s2005/export',
    method: 'get',
    params: query
  })
}